IcedTea-Web NetX

## net.sourceforge.jnlp.security
Class VariableX509TrustManagerJDK6

    java.lang.Object
      com.sun.net.ssl.internal.ssl.X509ExtendedTrustManager
          net.sourceforge.jnlp.security.VariableX509TrustManagerJDK6

All Implemented Interfaces:
  javax.net.ssl.TrustManager, javax.net.ssl.X509TrustManager

    public class VariableX509TrustManagerJDK6

extends com.sun.net.ssl.internal.ssl.X509ExtendedTrustManager

Constructor Summary
`VariableX509TrustManagerJDK6()`

Method Summary
`void` `checkClientTrusted(java.security.cert.X509Certificate[] chain, java.lang.String authType)`
`void` `checkClientTrusted(java.security.cert.X509Certificate[] chain, java.lang.String authType, java.lang.String hostname, java.lang.String algorithm)`
`void` `checkServerTrusted(java.security.cert.X509Certificate[] chain, java.lang.String authType)`
`void` `checkServerTrusted(java.security.cert.X509Certificate[] chain, java.lang.String authType, java.lang.String hostname, java.lang.String algorithm)`
`java.security.cert.X509Certificate[]` `getAcceptedIssuers()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableX509TrustManagerJDK6

    public VariableX509TrustManagerJDK6()

Method Detail

### checkClientTrusted

    public void checkClientTrusted(java.security.cert.X509Certificate[] chain,
                                   java.lang.String authType)
                            throws java.security.cert.CertificateException

  Throws:
    `java.security.cert.CertificateException`

### checkServerTrusted

    public void checkServerTrusted(java.security.cert.X509Certificate[] chain,
                                   java.lang.String authType)
                            throws java.security.cert.CertificateException

  Throws:
    `java.security.cert.CertificateException`

### getAcceptedIssuers

    public java.security.cert.X509Certificate[] getAcceptedIssuers()

### checkClientTrusted

    public void checkClientTrusted(java.security.cert.X509Certificate[] chain,
                                   java.lang.String authType,
                                   java.lang.String hostname,
                                   java.lang.String algorithm)
                            throws java.security.cert.CertificateException

  Specified by:
    `checkClientTrusted` in class `com.sun.net.ssl.internal.ssl.X509ExtendedTrustManager`
  Throws:
    `java.security.cert.CertificateException`

### checkServerTrusted

    public void checkServerTrusted(java.security.cert.X509Certificate[] chain,
                                   java.lang.String authType,
                                   java.lang.String hostname,
                                   java.lang.String algorithm)
                            throws java.security.cert.CertificateException

  Specified by:
    `checkServerTrusted` in class `com.sun.net.ssl.internal.ssl.X509ExtendedTrustManager`
  Throws:
    `java.security.cert.CertificateException`

IcedTea-Web NetX

Submit a bug or feature